* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

/* NAV-BAR */

.header-principal {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 1000;
}

nav{
  position: static;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 20px;
    padding-left: 10%;
    padding-right: 10%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

    
}

nav img{
    padding: 1%;
    margin-left: -20%;
    margin-right: 21%;
}

.logo{
    
    display: flex;
    align-items: center;
    margin-top: -3%;
}

.logopic{
  display: flex;
  flex-direction: row;
}



nav ul li{
list-style-type: none;
display: inline-block;
padding: 10px 20px;


}

nav ul li a{
    color: black;
    text-decoration: none;
    font-weight: bold;
    
}
nav a{
  position: relative;
  font-size: 16px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  margin-left: 15px;
}

a{
  position: relative;
  font-size: 18px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  margin-left: 15px;
}

nav a::before{
  content: '';
  position: absolute;
  top: 100%;
  left: 0;
  width: 0;
  height: 3px;
  background-color:  #42a4c2;
  transition: .3s;
}

nav a:hover::before{
  width: 100%;
}

nav ul li a:hover{
    color: #42a4c2;
    transition: .3s;
}

.menu{
    
    margin-right: -5%;
}


.menu i {
    font-size: 35px; 
    cursor: pointer;
}


.sub-menu-wrap {
  position: absolute;
  top: 80px; 
  right: 50px; 
  width: 250px;
  max-height: 0px;
  overflow: hidden;
  transition: 1s;
  z-index: 1500;
  border-radius:  0% 100% 0% 100% / 86% 9% 91% 14% ;
  background: rgba( 242, 130, 160, 0.1 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  backdrop-filter: blur( 5px );
  -webkit-backdrop-filter: blur( 5px );

}

.sub-menu-wrap.open-menu {
  max-height: 400px;
}

.sub-menu{
  background: rgba( 242, 130, 160, 0.1 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  backdrop-filter: blur( 5px );
  -webkit-backdrop-filter: blur( 5px );
  padding: 20%;
}

.user-info{
  display:flex;
  align-items: center;
}

.user-info img{
  border-radius: 50%;
  height: 10px;
  width: 10px;
}

.user-info h2{
  font-weight: 500;
}

.user-info img{
  height: 60px;
  width: 60px;
margin-right: 15px;
}

.sub-menu hr{
  border: 0;
  height: 1px;
  width: 100%;
  background: #000000;
  margin: 15px 0 10px;
}

.sub-menu-link{
  display: flex;
  align-items: center;
  text-decoration: none;
  color:#000000;
  margin: 12px 0;

}
.sub-menu-link p{
  color: #000000;
  width: 100%;
  transition: 0.2s;

  
}



.sub-menu-link img{
  width: 40px;
  height: 40px;
  background: #e5e5e5;
  border-radius: 50%;
  padding: 8px;
  margin-right: 15px;
}

.sub-menu-link span{
  font-size: 22px;
  transition: transform 0.5s;
}

.sub-menu-link:hover span{
  transform: translateX(5px);
  color: #000;

}

.sub-menu-link:hover p{
  font-weight: 700;
  font-size: 18px;
  transition: 0.6s;
  
}

.sub-menu-link:hover{
  text-decoration: none;
}


@media (max-width: 768px) {
    .logo {
        display: none;
    }

    nav ul {
        display: none;
    }

    .menu i {
        font-size: 35px;
    }



    .sub-menu-wrap.open-menu {
        max-height: 800px;
      
      }
      
     .sub-menu ul{
        display: flex;
        justify-content: left;
      }

      .footer-links {
        display: none;
      
      }
  }
/* CONTAINER COMPLETO */

.main-content {
  flex: 1;
  padding: 20px;
}

.flex {
  display: flex;
  position: fixed;
  z-index: 1000;
  top: 160px;
  width: 100%;
}

/* CADASTRO PRODUTO */

.cadastra-produto button {
  margin-left: 10px;
  padding: 10px 15px;
  background-color: pink;
  color: #fff;
  border: none;
  border-radius: 2px;
  cursor: pointer;
  position: fixed;
  left: 70px;
  top: 160px;
  z-index: 1000;
  width: 15%;
}


/* BARRA PESQUISA */

.pesquisa {
  width: 45%;
  position: relative;
  left: 27%;
  margin-bottom: 50px;
  
}

.barra input {
  width: 100%;
  height: 30px;
}

.lupa {
  border: 1px solid gray;
  border-radius: 5px;
}

.barra {
  position: relative;
}

.lupa-icon {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
}

.lupa {
  padding-left: 30px;
}

/* BARRA SEM RESULTADO */


.no-results {
  text-align: center;
  margin: 20px 0;
  font-size: 18px;
  color: #333;
  margin-top: 300px;
}

.no-results h2 {
  font-size: 24px;
  color: #ff0000;
}

.no-results p {
  margin: 10px 0;
}

/* CONTAINER FILTRO E PRODUTOS */

.container-principal {
  display: flex;
  align-items: flex-start;
  height: 100vh;
}

/* BOTÃO RESPONSIVIDADE */

.filter-button {
  display: none; 
  background-color: #42a4c2;
  color: white;
  padding: 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  position: fixed;
  top: 100px; 
  left: 10px; 
  z-index: 1000;
}



/* FILTRO */

.linha{
  width: 170px;
}

.filter-container {
  position: fixed;
  margin-left: 0;
  width: 20%;
  z-index: 10;
  padding: 10px;
  font-size: 20px;
  margin-top: 12%;
}

.filtro-form {
  padding: 10px;
  border: none;
  position: absolute;
  top: 50px;
  width: 300px;
}

.filt {
  font-size: 25px;
}

#filterForm {
  display: block;
}

.limpar {
  background-color: #e981a4;
  border: none;
  width: 150px;
  border-radius: 15px;
  color: white;
  height: 30px;
  margin-top: 15px;
}

.filtrar {
  background-color: #42a4c2;
  border: none;
  width: 150px;
  border-radius: 15px;
  color: white;
  height: 30px;
  margin-top: 15px;
  font-size: 17px;
  text-align: center;
}

/* PRODUTOS */

.produtos {
  width: 70%;
  margin-left: 30%;
  position: relative;
  max-height: 65%;
  overflow-y: scroll;
  overflow-x: hidden;
  padding: 20px;
  background-color: white;
  display: flex;
  flex-direction: column;
  scrollbar-width: none;
  left: -50px;
  margin-top: 15%;
  height: 70vh;
}

.produtos::-webkit-scrollbar {
  display: none;
}

/* ITENS */

.item {
  display: flex;
  background-color: #fff;
  margin-bottom: 15px;
  padding: 15px;
  border: 1px solid #ccc;
  position: relative;
  transition: border 0.8s;
  flex-shrink: 0;
}

.item:hover {
  border: 2px solid pink;
}

.item img {
  width: 100px;
  height: 100px;
  margin-right: 20px;
}

.item-detalhes {
  flex: 1;
}

.item-detalhes h3 {
  margin-bottom: 10px;
}

.item-detalhes2 {
  margin-top: 30px;
  margin-right: 100px;
}

.item-acoes a {
  margin-left: 10px;
  padding: 7px;
  border: none;
  cursor: pointer;
  display: block;
  width: 120px;
}

.item-acoes button {
  border: none;
  cursor: pointer;
  width: 120px;
  display: block;
  height: 35px;
}

.entregar {
  background-color: pink;
  color: #fff;
}

.chat {
  background-color: #42a4c2;
  color: #fff;
  margin-left: 17px;
}

/* CHAT */
#chatSection {
  display: none;
  position: fixed;
  bottom: 0;
  right: 0;
  width: 400px;
  height: 100vh;
  z-index: 2000;
  background: #fff;
  overflow: hidden;
  top: 0;
}

#chatSection.active {
  display: block;
}

.container-chat {
  width: 100%;
  max-width: 500px;
  margin: 0 auto;
  background: #ffffff;
  flex-direction: column;
  height: 100%;
  position: relative;
  z-index: 2;
}


.header-chat {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
  background-color: #42a4c2;
  color: #ffffff;
}

/* ESTILO CHAT */

.voltar button {
  width: 80px;
  height: 30px;
  background: none;
  border: none;
}

.nome {
  font-weight: bold;
  flex: 1;
  text-align: center;
}

.nome p {
  margin: 0;
  font-size: 18px;
  font-weight: bold;
}

.foto {
  flex: 0 0 50px;
}

.ft_user {
  width: 40px;
  height: auto;
  border-radius: 50%;
  border: 2px solid #ffffff;
}

.chat-box {
  flex: 1;
  padding: 10px;
  background-color: #f9f9f9;
  overflow-y: auto;
  border-top: 1px solid #ddd;
  display: flex;
  flex-direction: column;
}

.msg-user {
  align-self: flex-end;
  background-color: pink;
  color: #ffffff;
  padding: 10px;
  border-radius: 10px;
  max-width: 70%;
  margin-bottom: 10px;
  position: relative;
  min-width: 15%;
  height: auto;
}

.msg-adm {
  align-self: flex-start;
  background-color: #42a4c2;
  color: #000000;
  padding: 10px;
  border-radius: 10px;
  max-width: 70%;
  margin-bottom: 10px;
  border: 1px solid #ddd;
  position: relative;
  height: auto;
}

.msg-user,
.msg-adm {
  word-wrap: break-word;
  word-break: break-word;
}

.time {
  font-size: 12px;
  color: white;
  margin-top: 5px;
}

.msg-user .time {
  text-align: left;
  color: white;
}

.msg-adm .time {
  text-align: right;
  position: relative;
}

.mensager {
  display: flex;
  align-items: center;
  padding: 10px;
  background-color: #ffffff;
  border-top: 1px solid #ddd;
  position: fixed;
  bottom: 0;
  right: 0;
  width: 400px;
  z-index: 1000;
}

.mensager input {
  flex: 1;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 4px;
  margin-right: 10px;
}

.mensager button {
  padding: 10px 15px;
  background-color: pink;
  border: none;
  color: #ffffff;
  border-radius: 4px;
  cursor: pointer;
  transition: 0.3s ease, color 0.3s ease;
}

.mensager button:hover {
  background-color: #42a4c2;
  color: #ffffff;
}



/*  FECHAR CHAT */
.close-chat {
  cursor: pointer;
}


/* RESPONSIVIDADE */

@media (max-width: 900px) {

  /* PRODUTOS */



  .produtos{
    margin-left: 25%;
    
  }

  .produtos::-webkit-scrollbar {
    display: none;
  }

  /* ITENS */

  .item {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-left: 25%;


  }

  .item img {
    margin-bottom: 15px;
    height: 300px;
    width: auto;
  }

  .item-detalhes {
    flex: 1;
    margin-bottom: 10px;
  }

  .item-acoes {
    display: flex;
    justify-content: center;
  }

  .item-acoes button{
    width: 90px;
  }

  .chat {
    margin-top: 6px;
  }

  /* BARRA E CADASTRO DE PRODDUTO */

  .flex {
    display: flex;
    flex-direction: column;
    position: relative;
    justify-content: center;
    top: 160px;
    margin-left: 40px;
    right: 10px;
  }
  
  .cadastra-produto{
    position: relative;
    left: -300px;
   
}

.barra{
  width: 20.3%;
}


/* FILTRO */ 

.filter-container{
  margin-top: 15%;
}

}




@media (max-width: 600px) {
  .filter-container {
      display: none; 
  }

  .produtos {
      width: 100%; 
      position: relative;
      left: -12%;
      top: 180px;
      margin: 0; 
  }

  .item {
      width: 100%; 
  }

  .cadastra-produto button{
    top: 80px;
    position: relative;
    width: 50%;
    left: 65%;
  }

  .item-acoes button{
    width: 100px;
  }

  .pesquisa{
    width: 90%;
    left: -15px;
  }
}

@media (min-width: 1700px){

  .filtro-form{
    width: 100%;
    left: 30%;
  }
  
  .item{
    width: 100%;
  }

  .pesquisa{
    margin-top: 50px;
    height: 100px;
  }

  .cadastra-produto button{
    margin-top: 50px;
  }
}

@media (min-width: 900px ) and (max-width: 1200px){
  .container-principal{
    top: 100px;
    position: relative;
  }
}









